Loading...
Searching...
No Matches
gtsam::ISAM2Result::DetailedResults::VariableStatus Struct Reference

## Detailed Description

The status of a single variable, this struct is stored in DetailedResults::variableStatus.

## Public Attributes

bool | isReeliminated
| Whether the variable was just reeliminated, due to being relinearized, observed, new, or on the path up to the root clique from another reeliminated variable.
bool | isAboveRelinThreshold
| Whether the variable was just relinearized due to being above the relinearization threshold.
bool | isRelinearizeInvolved
| Whether the variable was below the relinearization threshold but was relinearized by being involved in a factor with a variable above the relinearization threshold.
bool | isRelinearized
bool | isObserved
| Whether the variable was relinearized, either by being above the relinearization threshold or by involvement.
bool | isNew
| Whether the variable itself was just added.
bool | inRootClique
| Whether the variable is in the root clique.

## Member Data Documentation

## isObserved

bool gtsam::ISAM2Result::DetailedResults::VariableStatus::isObserved

Whether the variable was relinearized, either by being above the relinearization threshold or by involvement.

Whether the variable was just involved in new factors

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/nonlinear/ISAM2Result.h